local t = Def.ActorFrame {};
local margin = 94
local sleeptime = 0.05
local waittime= 0.3

t[#t+1] = LoadActor( THEME:GetPathG("_bg","transition")) .. {
			InitCommand=cmd(zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;Center;);
			OnCommand=cmd(sleep,waittime;decelerate,0.3;diffusealpha,0;);
		};		
		
-- Hexagons		
t[#t+1] = Def.ActorFrame {

		-- Top
		LoadActor( THEME:GetPathG("_transition","hexagon")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X-margin/2;y,SCREEN_CENTER_Y-margin+12;);
			OnCommand=cmd(sleep,waittime;decelerate,0.2;zoom,0.25;diffusealpha,0);	
		};
		LoadActor( THEME:GetPathG("_transition","hexagon")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X+margin/2;y,SCREEN_CENTER_Y-margin+12;);
			OnCommand=cmd(sleep,waittime;decelerate,0.2;zoom,0.25;diffusealpha,0);	
		};
		
		-- center left
		LoadActor( THEME:GetPathG("_transition","hexagon")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X-margin;y,SCREEN_CENTER_Y;);
			OnCommand=cmd(sleep,waittime;decelerate,0.2;zoom,0.25;diffusealpha,0);	
		};
		
			-- center
		LoadActor( THEME:GetPathG("_transition","hexagon")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;);
			OnCommand=cmd(sleep,waittime;sleep,0.1;decelerate,0.3;zoom,0.25;diffusealpha,0);	
		};
		
		-- center right
		LoadActor( THEME:GetPathG("_transition","hexagon")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X+margin;y,SCREEN_CENTER_Y;);
			OnCommand=cmd(sleep,waittime;decelerate,0.2;zoom,0.25;diffusealpha,0);	
		};

		-- Bottom
		LoadActor( THEME:GetPathG("_transition","hexagon")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X-margin/2;y,SCREEN_CENTER_Y+margin-12;);
			OnCommand=cmd(sleep,waittime;decelerate,0.2;zoom,0.25;diffusealpha,0);	
		};
		LoadActor( THEME:GetPathG("_transition","hexagon")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X+margin/2;y,SCREEN_CENTER_Y+margin-12;);
			OnCommand=cmd(sleep,waittime;decelerate,0.2;zoom,0.25;diffusealpha,0);	
		};
		
		};

-- Top door 
t[#t+1] = LoadActor( THEME:GetPathG("_transition","door")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_TOP-100);
			OnCommand=cmd(y,SCREEN_TOP+75;sleep,waittime;decelerate,0.7;y,SCREEN_TOP-100);
		};
		
t[#t+1] = LoadActor( THEME:GetPathG("_transition","door")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_BOTTOM+100;zoomy,-1);
			OnCommand=cmd(y,SCREEN_BOTTOM-75;sleep,waittime;decelerate,0.7;y,SCREEN_BOTTOM+100);
		};
		
-- Left door
t[#t+1] = LoadActor( THEME:GetPathG("_transition","side")) .. {
			InitCommand=cmd(horizalign,left;x,SCREEN_LEFT-290;y,SCREEN_CENTER_Y);
			OnCommand=cmd(x,SCREEN_LEFT-11;sleep,waittime;decelerate,0.5;x,SCREEN_LEFT-300;);
		};
-- Right door
t[#t+1] = LoadActor( THEME:GetPathG("_transition","side")) .. {
			InitCommand=cmd(zoomx,-1;horizalign,left;x,SCREEN_RIGHT+290;y,SCREEN_CENTER_Y;);
			OnCommand=cmd(x,SCREEN_RIGHT+11;sleep,waittime;decelerate,0.5;x,SCREEN_RIGHT+300;);
		};	
	
-- Bracket top
t[#t+1] = LoadActor( THEME:GetPathG("_transition","bracket")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X-268;y,SCREEN_TOP+101);
			OnCommand=cmd(sleep,waittime;decelerate,0.3;addx,-330;addy,-148);			
		};
t[#t+1] = LoadActor( THEME:GetPathG("_transition","bracket")) .. {
			InitCommand=cmd(zoomx,-1;x,SCREEN_CENTER_X+268;y,SCREEN_TOP+101);
			OnCommand=cmd(sleep,waittime;decelerate,0.3;addx,330;addy,-148;);
		};
-- Bracket bottom
t[#t+1] = LoadActor( THEME:GetPathG("_transition","bracket")) .. {
			InitCommand=cmd(zoomy,-1;x,SCREEN_CENTER_X-268;y,SCREEN_BOTTOM-101);
			OnCommand=cmd(sleep,waittime;decelerate,0.3;addx,-330;addy,148;);
		};
t[#t+1] = LoadActor( THEME:GetPathG("_transition","bracket")) .. {
			InitCommand=cmd(zoomx,-1;zoomy,-1;x,SCREEN_CENTER_X+268;y,SCREEN_BOTTOM-101);
			OnCommand=cmd(sleep,waittime;decelerate,0.3;addx,330;addy,148;);
		};		
		
-- Shade
t[#t+1] = LoadActor( THEME:GetPathG("_bg","shadow")) .. {
			InitCommand=cmd(zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;Center;);
			OnCommand=cmd(diffusealpha,1;sleep,waittime;decelerate,0.5;diffusealpha,0;);
		};
		
t[#t+1] = LoadActor( THEME:GetPathS("_door","open")) .. {
        OnCommand=cmd(sleep,waittime;queuecommand,("Play"));
		PlayCommand=cmd(play;sleep,1);	
		};			
return t